<?php

function cutString($valor, $delimitador, $indice, $array=0) {
	$process=explode($delimitador, $valor);
	if(is_array($array)) {
		return $array[(int)$process[$indice]];
	} else {
		return $process[$indice];
	}
}

function mensaje($mensaje,$tipo){
	return '<div class="alert alert-'.$tipo.' alert-dismissible" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
	'.$mensaje.'</div>';
}

function DiasHabiles($finical, $factual) {
	list($dia, $mes, $year) = explode("-", $finical);
	$ini = mktime(0, 0, 0, $mes , $dia, $year);
	list($diaf,$mesf,$yearf) = explode("-",$factual);
	$fin = mktime(0, 0, 0, $mesf , $diaf, $yearf);
	$r = 1;
	$newArray = array();
	while($ini != $fin) {
		$ini = mktime(0, 0, 0, $mes , $dia+$r, $year);
		$newArray[] .= $ini;
		$r++;
	}
	return $newArray;
}

function Evalua($arreglo) {
	$feriados = array(
		'1-1',  //  Año Nuevo (irrenunciable)
		'10-4',  //  Viernes Santo (feriado religioso)
		'11-4',  //  Sábado Santo (feriado religioso)
		'1-5',  //  Día Nacional del Trabajo (irrenunciable)
		'21-5',  //  Día de las Glorias Navales
		'29-6',  //  San Pedro y San Pablo (feriado religioso)
		'16-7',  //  Virgen del Carmen (feriado religioso)
		'15-8',  //  Asunción de la Virgen (feriado religioso)
		'18-9',  //  Día de la Independencia (irrenunciable)
		'19-9',  //  Día de las Glorias del Ejército
		'12-10',  //  Aniversario del Descubrimiento de América
		'31-10',  //  Día Nacional de las Iglesias Evangélicas y Protestantes (feriado religioso)
		'1-11',  //  Día de Todos los Santos (feriado religioso)
		'8-12',  //  Inmaculada Concepción de la Virgen (feriado religioso)
		'13-12',  //  elecciones presidencial y parlamentarias (puede que se traslade al domingo 13)
		'25-12',  //  Natividad del Señor (feriado religioso) (irrenunciable)
	);
	$dia_ = 0;
	foreach ($arreglo as $key => $value) {
		$dia = $value;
		$fecha = getdate($dia);
		$feriado = $fecha['mday']."-".$fecha['mon'];
		if($fecha["wday"]==0 or $fecha["wday"]==6) {
			$dia_++;
		} else if(in_array($feriado, $feriados)) {
			// $dia_++;
		}
	}
	$j= count($arreglo);
	// for($i = 0; $i <= $j; $i++) {
	// 	$dia = $arreglo[$i];
	// 	$fecha = getdate($dia);
	// 	$feriado = $fecha['mday']."-".$fecha['mon'];
	// 	if($fecha["wday"]==0 or $fecha["wday"]==6) {
	// 		$dia_++;
	// 	} else if(in_array($feriado, $feriados)) {
	// 		// $dia_++;
	// 	}
	// }
	$rlt = $j - $dia_;
	return $rlt;
}

function separarapellido($apellidocompleto, $tipo) {
	/* separar el nombre completo en espacios */
  $tokens = explode(' ', trim($apellidocompleto));
  /* arreglo donde se guardan las "palabras" del nombre */
  $names = array();
  /* palabras de apellidos (y nombres) compuetos */
  $special_tokens = array('da', 'de', 'del', 'la', 'las', 'los', 'mac', 'mc', 'van', 'von', 'y', 'i', 'san', 'santa');

  $prev = "";
  foreach($tokens as $token) {
		$_token = strtolower($token);
		if(in_array($_token, $special_tokens)) {
			$prev .= "$token ";
		} else {
			$names[] = $prev. $token;
			$prev = "";
		}
  }
	// cero 0 = paterno, uno 1 = materno
  $apellido = $names[$tipo];
  return $apellido;
}
